## org.mortbay.jetty
Interface Parser

All Known Implementing Classes:
  Ajp13Parser, HttpParser

    public interface Parser

Abstract interface for a connection Parser for use by Jetty.

Author:
  gregw

Method Summary
`boolean` `isComplete()`
`boolean` `isIdle()`
`boolean` `isMoreInBuffer()`
`long` `parseAvailable()`
`void` `reset(boolean returnBuffers)`

Method Detail

### reset

    void reset(boolean returnBuffers)

### isComplete

    boolean isComplete()

### parseAvailable

    long parseAvailable()
                        throws IOException

  Throws:
    `IOException`

### isMoreInBuffer

    boolean isMoreInBuffer()
                           throws IOException

  Throws:
    `IOException`

### isIdle

    boolean isIdle()

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.